de.esprit.appsuite.gui.tree

## Class PathRegistrationListModel

- java.lang.Object
- - javax.swing.AbstractListModel<E>
  - - javax.swing.DefaultListModel
    - - de.esprit.common.gui.list.AbstractObjectListModel<PathInfo>
      - - de.esprit.appsuite.gui.tree.PathRegistrationListModel

- All Implemented Interfaces:
    java.io.Serializable, javax.swing.ListModel

      public class PathRegistrationListModel
      extends AbstractObjectListModel<PathInfo>

  This `ListModel` implementation observes the path registration in the `PathTreeModelDriver` and stores the paths currently being watched.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.swing.AbstractListModel

      `listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathRegistrationListModel(PathTreeModelDriver driver)`

  - ### Method Summary

    - ### Methods inherited from class de.esprit.common.gui.list.AbstractObjectListModel

      `addObject, addObject, addObjects, addObjects, clear, fireContentsChanged, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getAllObjects, getComparator, getModifyFlag, getObject, getObject, getObjectCount, isModified, isNumb, isSortAscending, load, loadFrom, loadFrom, removeObject, removeObject, replaceObject, replaceOrAddObject, setComparator, setModified, setModifyFlag, setNumb, setObject, setSortAscending`

    - ### Methods inherited from class javax.swing.DefaultListModel

      `add, addElement, capacity, contains, copyInto, elementAt, elements, ensureCapacity, firstElement, get, getElementAt, getSize, indexOf, indexOf, insertElementAt, isEmpty, lastElement, lastIndexOf, lastIndexOf, remove, removeAllElements, removeElement, removeElementAt, removeRange, set, setElementAt, setSize, size, toArray, toString, trimToSize`

    - ### Methods inherited from class javax.swing.AbstractListModel

      `addListDataListener, getListDataListeners, getListeners, removeListDataListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PathRegistrationListModel

          public PathRegistrationListModel(PathTreeModelDriver driver)

Copyright © 2011 EsprIT-Systems. All Rights Reserved.